*, *::before, *::after{
    box-sizing: border-box;
}

:root{
    background-color: oklch(0.9961 0.0034 325.6);
    font-family:"Montsrrat", sans-serif;
    line-height: 1.6;
    scroll-behavior: smooth;

    padding-top: 2vh;
    padding-bottom: 4vw;
}

body{
    margin: 0.0;
}

.container{
    max-width: 80rem;
    margin: 0 auto;
    padding-inline: 1rem;
}

header{
    background-color: oklch(0.1454 0.062 264);
    color: oklch(0.9961 0.0034 325.6); 
}

nav ul{
    padding: 0;
    margin: 0;
    margin-left: -2rem;
    list-style: none;
}
nav a {
    display: block;
    padding: 1rem 2rem;
    color: inherit;
    text-decoration: none;
}

nav ul :nth-child(2){
    background-color: oklch(28.006% 0.00442 17.025);
    color: oklch(95.773% 0.2074 113.815);
} 
footer{
    background-color: oklch(0.3211 0.0 0);
    color: oklch(0.9961 0.0034 325.6); 
}

footer p:last-child{
  margin: 0;  
}

h2 + p {
    font-style: italic;
}

a[href*="mozilla"]{
    background-color: oklch(84.586% 0.17247 86.757 / 0.75);
}

.highlight{
    font-weight: bold;
    font-style: italic;
}

.container--narrow{
    max-width: 40rem;
}

.m-1{
    margin: 1rem;
}

.m-2{
    margin: 2rem;
}

.p-1{
    padding: 1rem;
}
.p-2 {
    padding: 2rem;
}

footer .highlight  {
    color:oklch(84.586% 0.17247 86.757 / 0.75);
    font-style:inherit ;
    font-weight: inherit;
}

nav a:hover{
    background-color: oklch(24.87% 0.13248 264.908);
}

nav a:focus-visible{
    outline: 4px dotted;
}